FROM gitlab-registry.cern.ch/linuxsupport/alma9-base:latest

RUN dnf install -y epel-release \
    && dnf -y install rsync git patch swaks hiera puppet rubygem-json ruby-libs \
    && dnf clean all

COPY locmap_updater.sh /root/
COPY patches/ /root/patches/

ENTRYPOINT ["/root/locmap_updater.sh"]
